# App Level

Here you can find the endpoints and parameters for Apps, using the DT Management API.

### Get App/Apps

**Description**

Return the app's saved configuration by App ID.

Return all apps (of a single user)

**Method**

`GET https://console.fyber.com/api/management/v1/app?appId=`

`GET https://console.fyber.com/api/management/v1/app?publisherId=`

**Headers**

```
ContentType: application/json Authorization: Bearer <Access Token from Authentication Response>
```

#### Request Parameters

| Key         | Description             | Type   | Required | Example |
| ----------- | ----------------------- | ------ | -------- | ------- |
| appId       | The ID of the app       | Number | Required | 1070709 |
| publisherId | The ID of the publisher | Number | Required | 4       |

#### Example Request

```
https://console.fyber.com/api/management/v1/app?appId=170709
```

When a boolean field is left empty, the value of the empty string is automatically parsed as false.

#### Response Parameters

| Key                     | Description                                                                                      | Type    | Example                                                                                                                         |
| ----------------------- | ------------------------------------------------------------------------------------------------ | ------- | ------------------------------------------------------------------------------------------------------------------------------- |
| appId                   | DT App ID                                                                                        | String  | “170709”                                                                                                                        |
| publisherId             | DT Publisher ID                                                                                  | String  | “3432”                                                                                                                          |
| name                    | The name of the app                                                                              | String  | “CashCrash”                                                                                                                     |
| bundle                  | App's android bundle or iOS Store ID                                                             | String  | “com.cash\_crash.54”                                                                                                            |
| status                  | <p>The status of the app.<br>Can be either "active" or "inactive"</p>                            | String  | “active”                                                                                                                        |
| platform                | App's platform (Android or iOS)                                                                  | String  | "android"                                                                                                                       |
| storeURL                | App's store URL                                                                                  | String  | <p>“<https://play.google.com/store><br>/apps/details?id=com.<br>bKash.customerapp“</p>                                          |
| category1               | App's first store category                                                                       | String  | "Business"                                                                                                                      |
| category2               | App's second store category                                                                      | String  | "Finance"                                                                                                                       |
| coppa                   | Children's Online Privacy Protection Act. Is the app directed to children under 13 years of age? | Boolean | false                                                                                                                           |
| rewardedAdUrl           | URL to be used for server-side callbacks on app's rewarded placements                            | String  | <p>"<https://mygamesdomain>.<br>com/callbacks.aspx?user\_id={{USER\_ID}}\&reward\_amount={{AMOUNT}}<br>\&signature={{SIG}}"</p> |
| rewardedAdSecurityToken |                                                                                                  | String  | <p>“036xxxx5027e12c00f85a<br>4cbec3d1XXXXXa608cc<br>573a3482bXXXXX1164b8<br>64169”</p>                                          |

#### Example Response

```json
{
    "appId": "170709",
    "publisherId": "4",
    "name": "bKash",
    "bundle": "com.bKash.customerapp",
    "status": "active",
    "platform": "android",
    "storeUrl": "https://play.google.com/store/apps/details?id=com.bKash.customerapp",
    "category1": "Finance",
    "category2": "APPLICATION",
    "coppa": false,
    "rewardedAdUrl": "https://mygamesdomain.com/callbacks.aspx?user_id={{USER_ID}}&reward_amount={{AMOUNT}}&signature={{SIG}}",
    "rewardedAdSecurityToken": "036ae5027XXXXXXXXX161a632a608cc573a3482b9c1XXXXX4b864169"
}
```

### Create an App

**Method**

`POST https://console.fyber.com/api/management/v1/app`

**Headers**

```
ContentType: application/json Authorization: Bearer <Access Token from Authentication Response>
```

#### Request Parameters

| Key           | Description                                                                                      | Type   | Required | Example                                                                                                                          |
| ------------- | ------------------------------------------------------------------------------------------------ | ------ | -------- | -------------------------------------------------------------------------------------------------------------------------------- |
| name          | The name of the app                                                                              | String | Required | "CashCrash"                                                                                                                      |
| bundle        | App's Android bundle or iOS Store ID                                                             | String | Required | "com.cash\_crash.54"                                                                                                             |
| platform      | App's platform (Android or iOS)                                                                  | String | Required | "android"                                                                                                                        |
| category1     | App's first store category                                                                       | String | Required | "business"                                                                                                                       |
| coppa         | Children's Online Privacy Protection Act. Is the app directed to children under 13 years of age? | String | Required | false                                                                                                                            |
| rewardedAdUrl | URL to be used for server side call back on app’s rewarded placements                            | String | Optional | <p>"<https://mygameesdomain.com><br>/callbacks.aspx?user\_id={{USER\_ID}}\&reward\_amount<br>={{AMOUNT}}\&signature={{SIG}}"</p> |
| category2     | App’s second store category                                                                      | String | Optional | “Finance”                                                                                                                        |

#### Example Request

```json
{
  "publisherId": "3432",
  "status": "active",
  "name": "CashCrash",
  "coppa": true,
  "platform": "ios",
  "category1": "Books",
  "category2": "Business",
  "bundle": "com.cash_crash.54",
  "rewardedAdUrl": "https://mygameesdomain.com/callbacks.aspx?user_id={{USER_ID}}&reward_amount={{AMOUNT}}&signature={{SIG}}"
}
```

#### Response Parameters

| Key                     | Description                                                                                      | Type    | Example                                                                                                                              |
| ----------------------- | ------------------------------------------------------------------------------------------------ | ------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| appId                   | DT App ID                                                                                        | String  | “170709”                                                                                                                             |
| publisherId             | DT Publisher ID                                                                                  | String  | “3432”                                                                                                                               |
| name                    | The name of the App                                                                              | String  | “CashCrash”                                                                                                                          |
| bundle                  | App’s Android bundle or iOS store ID                                                             | String  | “com.cash\_crash.54”                                                                                                                 |
| status                  | <p>The status of the app.<br>Can be either "active" or "inactive"</p>                            | String  | “active”                                                                                                                             |
| platform                | App’s platform (Android or iOS)                                                                  | String  | “android”                                                                                                                            |
| storeURL                | App’s store URL                                                                                  | String  | <p>“<https://play.google.com/store><br>/apps/details?id=com.bKash.<br>customerapp“</p>                                               |
| category1               | App’s first store category                                                                       | String  | “Business”                                                                                                                           |
| category2               | App’s second store category                                                                      | String  | "Finance"                                                                                                                            |
| coppa                   | Children's Online Privacy Protection Act. Is the app directed to children under 13 years of age? | Boolean | False                                                                                                                                |
| rewardedAdUrl           | URL to be used for server side call back on app’s rewarded placements                            | String  | <p>"<https://mygameesdomain.com/><br>callbacks.aspx?user\_id={{USER\_ID}}<br>\&reward\_amount={{AMOUNT}}<br>\&signature={{SIG}}"</p> |
| rewardedAdSecurityToken |                                                                                                  | String  | <p>“000096ae5027e12c00f<br>85a4XXXXXX3d161a632<br>a608ccXXXXXX82b9c<br>1151164b864169”</p>                                           |

#### Example Response

```json
{
  "appid": "170709",
  "publisherId": "4",
  "name": "CashCrash",
  "bundle": "com.cash_crash.54",
  "status": "active",
  "platform": "ios",
  "storeUrl": "",
  "category1": "Books",
  "category2": "Business",
  "coppa": true,
  "rewardedAdUrl": "https://mygameesdomain.com/callbacks.aspx?user_id={{USER_ID}}&reward_amount={{AMOUNT}}&signature={{SIG}}",
  "rewardedAdSecurityToken": "d613c47d081eXXXXXXXXXXf19f90a197ba4b5057556493f1e5759b14c"
}
```

### Update an App

**Description**

Update an existing app.

**Method**

`PUT https://console.fyber.com/api/management/v1/app`

**Headers**

```
ContentType: application/json Authorization: Bearer <Access Token from Authentication Response>
```

#### Request Parameters

| Key           | Description                                                                                      | Type    | Required | Example                                                                                                                      |
| ------------- | ------------------------------------------------------------------------------------------------ | ------- | -------- | ---------------------------------------------------------------------------------------------------------------------------- |
| appId         | DT App ID                                                                                        | String  | Required | "170709"                                                                                                                     |
| status        | <p>The status of the app.<br>Can be either "active" or "inactive"</p>                            | String  | Optional | "active"                                                                                                                     |
| coppa         | Children's Online Privacy Protection Act. Is the app directed to children under 13 years of age? | Boolean | Optional | true                                                                                                                         |
| rewardedAdUrl | URL to be used for server-side call back on app's rewarded placements                            | String  | Optional | <p>"<https://mygameesdomain.com><br>/callbacks.aspx?user\_id={{USER\_ID}}\&reward\_amount={{AMOUNT}}\&signature={{SIG}}"</p> |

#### Example Request

```json
{
  "appId": "178505",
  "coppa": true,
  "status": "inactive",
  "rewardedAdUrl": "https://check546745674.com/callbacks.aspx?user_id={{USER_ID}}&reward_amount={{AMOUNT}}&signature={{SIG}}"
}
```

### Delete an App

**Description**

Delete an existing app.

**Method**

`DELETE https://console.fyber.com/api/management/v1/app`

**Headers**

```
ContentType: application/json Authorization: Bearer <Access Token from Authentication Response>
```

#### Request Parameters

| Key   | Description       | Required | Type   |
| ----- | ----------------- | -------- | ------ |
| appId | The ID of the app | Required | String |

#### Example Request

```json
{ "appId": "123123" }
```

#### Example Response

```json
{ "message": "App 178441 has been deleted successfully." }
```
